Lavalite package that provides form management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `forms/form`.

    "forms/form": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Forms\Form\Providers\FormServiceProvider::class,

And also add it to alias

    'Form'  => Forms\Form\Facades\Form::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Forms\\FormTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Forms\Form\Providers\FormServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Forms\Form\Providers\FormServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Forms\Form\Providers\FormServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/form/{modulename}

**User**

    http://path-to-route-folder/user/form/{modulename}

**Public**

    http://path-to-route-folder/forms


### API endpoints

**List**

    http://path-to-route-folder/api/user/form/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/form/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/form/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/form/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/form/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/form/{modulename}/{slug}
    METHOD: GET